IPETOIPE(1)

NAME
ipetoipe - Convert between Ipe file formats

SYNOPSIS
ipetoipe ( -pdf | -eps | -ps | -xml ) [ -export ] [ -from page ] [ -to page ] [ -noshading ] [ -lastview ] input-file output-file

DESCRIPTION

ipetoipe converts between the various Ipe file formats.

-pdf
    convert to PDF format

-eps
    convert to EPS (encapsulated Postscript) format

-ps convert to Postscript format

-xml
    convert to XML format

-export
    do not include Ipe markup in the output file.
    Warning: this means that Ipe will not be able to read the resulting output file.

-from and -to
    restrict exporting to PDF to this page range. This only works in conjunction with the -export option.

-noshading
    do not shade the background of PDF output (if a shading has been defined in the document's style sheet).

-lastview
    create a Postscript/PDF page only for the last view of each Ipe page. This is often convenient for making handouts for slides used in a presentation.

-runlatex
    run Latex even for XML output. This has the effect of including the dimensions of each text object in the XML file.

-nocolor
    do not use any color commands in Postscript output. This is useful if you are preparing a manuscript for publication where the publisher checks that the figures are grayscale only. Note that this option doesn't actually verify that the figure contains no color (a figure using color processed with this option will cause a Postscript error when displayed).

-styleupdate
    update all style sheets in the document from external style sheet files in the current directory. The external file's name must match the name of the style sheet and have the extension 'isy'.

ENVIRONMENT VARIABLES
ipetoipe respects the following environment variables:

IPELATEXDIR
    the directory where ipetoipe runs Pdflatex.

IPEPDFLATEX
    the name of the Pdflatex executable. If Pdflatex is on your path, the value pdflatex is sufficient.

TEXINPUTS
    when running Pdflatex, Ipe prepends both the current directory (where Ipe was started) as the directory containing the current document to the TEXINPUTS environment variable.

AUTHOR
Otfried Cheong

REPORTING BUGS
Please report bugs using Ipe bugzilla at http://tclab.kaist.ac.kr/ipe/bugzilla.html

SEE ALSO
More information about Ipe can be found in The Ipe Manual, which can be found in /usr/share/doc/ipe/manual.html or in pdf format in /usr/share/doc/ipe/manual.pdf.